;------------------------------------------------------------------------------
;
; Bank-swiching routines for the Final Cartridge III cartridge under cc65
;
;------------------------------------------------------------------------------

.export		_bankgetbyte, _bankgetword
.import		_codetable, _exit, _getkey

.importzp	tmp1, ptr1, ptr2, regbank, sp

.segment	"BANKACCESS"

;_bankrun:
;	;cmp	#-1
;	;bne	*+5
;	;jmp	_exit
;	asl
;	asl
;	tax
;	lda	_codetable,x
;	sta	ptr1
;	lda	_codetable+1,x
;	sta	ptr1+1
;	lda	_codetable+2,x
;	ora	#$40
;	sta	$DFFF
;	lda	#$00
;	sta	sp
;	lda	#$D0
;	sta	sp+1
;	ldx	#$00
;	txs
;	jmp	(ptr1)

_bankgetbyte:
;pha
;inc	$D020
;jsr	_getkey
	
	sta	ptr1
	stx	ptr1+1
	;ldx	$DFFF
	;lda	ptr1+1
	;asl
	;rol
	;rol
	;and	#$03
	;ora	#$40
	lda	#$41
	sta	$DFFF
	lda	ptr1+1
	and	#$3F
	ora	#$80
	sta	ptr1+1
;sta	$401
	ldy	#0
	lda	(ptr1),y
;sta	$400
	ldx	#$40
	stx	$DFFF
	rts

_bankgetword:
	sta	ptr1
	stx	ptr1+1
	;ldx	$DFFF
	lda	ptr1+1
	;asl
	;rol
	;rol
	;and	#$03
	;ora	#$40
	lda	ptr1+1
	and	#$3F
	ora	#$80
	sta	ptr1+1
	lda	#$41
	sta	$DFFF
	lda	ptr1+1
	and	#$3F
	ora	#$80
	sta	ptr1+1
;sta	$401
	ldy	#1
	lda	(ptr1),y
	;sta	tmp1
	tax
	dey
	lda	(ptr1),y
	ldy	#$40
	sty	$DFFF
	;ldx	tmp1
	rts

