;This file provides functions to access hidden memory directly.
;--------------------------------------------------------------
	.importzp	ptr1, ptr2, ptr3, ptr4, tmp1, sp
	.import		popax
	.export		_bankgetbyte
	.export 	_bankgetword
	.export 	hreadb1, hreadb2, hreadb3, hreadb4, hidereadbdirect;, hidecmp1to2
	.export		hrbptr

;.segment "LOWCODE"

;Assembler entries to read byte indicated by ptr1 to 4 with offset in .Y:
;(ptr# given)
hreadb2:
	ldx	#ptr2
	stx	hrbptr+1
	bne	hrbptr2
hreadb3:
	ldx	#ptr3
	stx	hrbptr+1
	bne	hrbptr2

hreadb4:
	ldx	#ptr4
	stx	hrbptr+1
	;bne	hrbptr2

hreadb1:
hrbptr2:
	jsr	hidereadbdirect
;Return pointer to ptr1 and exit from quick asm calls.
	pha
	lda	#ptr1
	sta	hrbptr+1
	pla
 	rts
;C function to read hidden byte:
;
; Prototype:		unsigned char __fastcall__ hidereadb (void*);
;
_bankgetbyte:
	sta	ptr1
	stx	ptr1+1
	ldy	#0
;Quick asm. entry with address in ptr1 and offset in .Y:
hidereadbdirect:
;Disable kernal/IO.
;	sei
;	lda	$01
;	tax
;	;and	#%11111100
;	and	#%11111000
;	;ora	#%00000100
;	sta	$01
	
hrbptr:
	sei
	sta	$FDDA
;Read byte.
	lda	(ptr1),y
;Restore memory cfg. and exit.
	sta	$FDD2
	cli
	ldx	#0
	rts

_bankgetword:
	sta	ptr1
	stx	ptr1+1
	ldy	#1
	sei
	sta	$FDDA
	lda	(ptr1),y
	;sta	ptr2+1
	tax
	dey
	lda	(ptr1),y
	;stx	$01
	sta	$FDD2
	cli
	rts

